Table of Contents

## Name

xmag - magnify parts of the screen

## Synopsis

xmag [ -mag magfactor ] [ -source geom ] [ -toolkitoption ... ]

## Description

The xmag program allows you to magnify portions of an X screen. If no explicit region is specified, a square with the pointer in the upper left corner is displayed indicating the area to be enlarged. The area can be dragged out to the desired size by pressing Button 2. Once a region has been selected, a window is popped up showing a blown up version of the region in which each pixel in the source image is represented by a small square of the same color. Pressing Button1 in the enlargement window shows the position and RGB value of the pixel under the pointer until the button is released. Typing ``Q'' or ``^C'' in the enlargement window exits the program. The application has 5 buttons across its top. Close deletes this particular magnification instance. Replace brings up the rubber band selector again to select another region for this magnification instance. New brings up the rubber band selector to create a new magnification instance. Cut puts the magnification image into the primary selection. Paste copies the primary selection buffer into xmag. Note that you can cut and paste between xmag and the bitmap program. Resizing xmag resizes the magnification area. xmag preserves the colormap, visual, and window depth of the source.

## Widgets

xmag uses the X Toolkit and the Athena Widget Set. The magnified image is displayed in the Scale widget. For more information, see the Athena Widget Set documentation. Below is the widget structure of the xmag application. Indentation indicates hierarchical structure. The widget class name is given first, followed by the widget instance name.

        Xmag xmag
            RootWindow root
            TopLevelShell xmag
                Paned pane1
                    Paned pane2
                        Command close
                        Command replace
                        Command new
                        Command select
                        Command paste
                        Label xmag label
                    Paned pane2
                        Scale scale
            OverrideShell pixShell
                Label pixLabel

## Options

-source geom
  This option specifies the size and/or location of the source region on the screen. By default, a 64x64 square is provided for the user to select an area of the screen.
-mag integer
  This option indicates the magnification to be used. 5 is the default.

## Authors

Dave Sternlicht and Davor Matic, MIT X Consortium.

Table of Contents

- Name
- Synopsis
- Description
- Widgets
- Options
- Authors